##### PROD Pipeline #####
PROD-dockerize:
  stage: dockerize
  environment:
    name: PROD
  image: registry.gitlab.com/remolutions/k8s/images/kaniko-builder/kaniko-builder:v1.0.0
  allow_failure: false
  when: manual
  only:
    refs:
      - tags
  except:
    - branches
  script:
    - sh k8s/dockerize.sh

PROD-deploy:
  stage: deploy
  environment:
    name: PROD
  image: registry.gitlab.com/remolutions/k8s/images/helm:v1.0.0
  allow_failure: false
  when: on_success
  needs:
    - job: PROD-dockerize
  only:
    refs:
      - tags
  except:
    - branches
  script:
    - sh k8s/deploy.sh
